org.gcube.dataanalysis.dataminer.poolmanager.util

## Class SendMail

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.util.SendMail

    public class SendMail
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SendMail()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAdminRoles()`
`String` `getAdmins()`
`String` `getSocialService()`
`static void` `main(String[] args)`
`void` `sendNotification(String subject, String body)`
`String` `sendPostRequest(String endpoint, String requestParameters)`
`String` `username(String token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendMail

    public SendMail()

### Method Detail

#### sendNotification

    public void sendNotification(String subject,
                                 String body)
                          throws Exception

Throws:
  `Exception`

#### username

    public String username(String token)
                    throws org.gcube.common.authorization.client.exceptions.ObjectNotFound,
                           Exception

Throws:
  `org.gcube.common.authorization.client.exceptions.ObjectNotFound`
  `Exception`

#### getSocialService

    public String getSocialService()

#### sendPostRequest

    public String sendPostRequest(String endpoint,
                                  String requestParameters)

#### getAdminRoles

    public String getAdminRoles()
                         throws Exception

Throws:
  `Exception`

#### getAdmins

    public String getAdmins()
                     throws Exception

Throws:
  `Exception`

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`